Run of fresh-releases for felix-framework

Try this locally (using silver-platter):

debian-svp new-upstream felix-framework 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
Opening branch at https://salsa.debian.org/java-team/felix-framework.git
Using cached branch file:///home/janitor/debian-janitor/vcs/git/felix-framework/,branch=master
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
/home/janitor/debian-janitor/python-debian/lib/debian/copyright.py:654: UserWarning: Fixing Format URL
  warnings.warn('Fixing Format URL')
Using upstream branch http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.framework-4.6.1 (guessed)
Upstream branch http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.framework-4.6.1 inaccessible; ignoring. Subversion branches are not yet supported. To convert Subversion branches to Bazaar branches or vice versa, use the fastimport format.
Using version string 6.0.3.
/home/janitor/debian-janitor/python-debian/lib/debian/copyright.py:654: UserWarning: Fixing Format URL
  warnings.warn('Fixing Format URL')
Using uscan to look for the upstream tarball.
uscan warn: Possible OpenPGP signature found at:
   http://archive.apache.org/dist/felix/org.apache.felix.framework-6.0.3-source-release.tar.gz.asc
 * Add opts=pgpsigurlmangle=s/$/.asc/ or opts=pgpmode=auto to debian/watch
 * Add debian/upstream/signing-key.asc.
 See uscan(1) for more details
+ dpkg-parsechangelog
+ sed -n s/^Source: //p
+ package=felix-framework
+ TAR=../felix-framework_6.0.3.orig.tar.xz
+ DIR=felix-framework-6.0.3.orig
+ tar xfz /home/janitor/tmp/tmp1fuyq_1n/felix-framework_6.0.3.orig.tar.gz
+ mv org.apache.felix.framework-6.0.3 felix-framework-6.0.3.orig
+ XZ_OPT=--best tar -c -J -f ../felix-framework_6.0.3.orig.tar.xz felix-framework-6.0.3.orig
+ rm -rf felix-framework-6.0.3.orig /home/janitor/tmp/tmp1fuyq_1n/felix-framework_6.0.3.orig.tar.gz
Elapsed time: 0:00:22.194996
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/local.py", line 155, in get
    return osutils.open_file(path, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/home/janitor/tmp/tmp1fuyq_1n/felix-framework_6.0.3.orig.tar.gz'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1088, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1043, in main
    with process_package(
  File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 898, in process_package
    subworker_result = subworker.make_changes(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 470, in make_changes
    result = merge_upstream(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 441, in merge_upstream
    tarball_filenames = get_tarballs(
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 186, in get_tarballs
    return fetch_tarball(package, version, orig_dir, locations, v3)
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 174, in fetch_tarball
    repack_tarball(location, dest_name, target_dir=orig_dir)
  File "/home/janitor/.config/breezy/plugins/debian/repack_tarball.py", line 224, in repack_tarball
    _repack_other(target_transport, new_name, source_name)
  File "/home/janitor/.config/breezy/plugins/debian/repack_tarball.py", line 178, in _repack_other
    with open_file(source_name) as source_f:
  File "/home/janitor/.config/breezy/plugins/debian/util.py", line 391, in open_file
    return open_file_via_transport(filename, transport)
  File "/home/janitor/.config/breezy/plugins/debian/util.py", line 411, in open_file_via_transport
    result = do_catching_redirections(open_file, transport, follow_redirection)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
    return action(transport)
  File "/home/janitor/.config/breezy/plugins/debian/util.py", line 404, in open_file
    return transport.get(filename)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/local.py", line 159, in get
    self._translate_error(e, path)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 353, in _translate_error
    raise errors.NoSuchFile(path, extra=e)
breezy.errors.NoSuchFile: No such file: '/home/janitor/tmp/tmp1fuyq_1n/felix-framework_6.0.3.orig.tar.gz': [Errno 2] No such file or directory: '/home/janitor/tmp/tmp1fuyq_1n/felix-framework_6.0.3.orig.tar.gz'

Full worker log